> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Funding Rate Comparison Aggregation

> Returns funding rate comparison data between DerivaDEX and major exchanges



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /stats/api/v1/aggregations/funding_rate_comparison
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /stats/api/v1/aggregations/funding_rate_comparison:
    get:
      tags:
        - Market
      summary: Get Funding Rate Comparison Aggregation
      description: >-
        Returns funding rate comparison data between DerivaDEX and major
        exchanges
      parameters:
        - in: query
          name: symbol
          schema:
            type: string
          description: The symbol
          example: ETHP
      responses:
        '200':
          description: Funding Rate Comparison Data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundingRateComparisonAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    FundingRateComparisonAPISuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          type: array
          items:
            type: object
            properties:
              symbol:
                type: string
                description: The symbol of the market.
                examples:
                  - BTCP
              derivadexFundingRate:
                type: number
                description: The funding rate for the given market.
                examples:
                  - '0.005'
              binanceFundingRate:
                type: number
                description: The funding rate for the given market.
                examples:
                  - '0.005'
              derivadexBinanceArbitrage:
                type: number
                description: >-
                  The funding rate difference between DerivaDEX and the given
                  market.
                examples:
                  - '0.005'
              bybitFundingRate:
                type: number
                description: The funding rate for the given market.
                examples:
                  - '0.005'
              derivadexBybitArbitrage:
                type: number
                description: >-
                  The funding rate difference between DerivaDEX and the given
                  market.
                examples:
                  - '0.005'
              hyperliquidFundingRate:
                type: number
                description: The funding rate for the given market.
                examples:
                  - '0.005'
              derivadexHyperliquidArbitrage:
                type: number
                description: >-
                  The funding rate difference between DerivaDEX and the given
                  market.
                examples:
                  - '0.005'
            required:
              - symbol
              - derivadexFundingRate
              - binanceFundingRate
              - derivadexBinanceArbitrage
              - bybitFundingRate
              - derivadexBybitArbitrage
              - hyperliquidFundingRate
              - derivadexHyperliquidArbitrage
            additionalProperties: false
            description: >-
              An entity representing funding rate data for a given symbol on
              various exchanges.
          description: The value of the response
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for the Funding Rate Comparison API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````